%global momorel 11
%global scim_binary_version 1.4.0
%global tomoever 0.6.0

Summary: Scim-tomoe is an SCIM IMEngine module for tomoe.
Name: scim-tomoe
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://tomoe.sourceforge.jp/
Source0: http://dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: %{name}-%{version}-gcc43.patch
Requires: scim >= 1.4.5
Requires: tomoe >= %{tomoever} libtomoe-gtk >= %{tomoever}
BuildRequires: scim-devel >= 1.4.5-3m
BuildRequires: tomoe-devel >= %{tomoever}
BuildRequires: libtomoe-gtk-devel >= %{tomoever}
BuildRequires: gucharmap_2_22-devel
BuildRequires: gtk2-devel
BuildRequires: automake

%description
Scim-anthy is an SCIM IMEngine module for tomoe.
It supports Japanese input.

%prep
%setup -q

%patch1 -p1 -b .gcc43~

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/scim-1.0/%{scim_binary_version}/Helper/*
%{_datadir}/scim/icons/*
%{_datadir}/locale/*/*/*

%changelog
* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-11m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-10m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-9m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-8m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-6m)
- rebuild against rpm-4.6

* Sat Nov  1 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-5m)
- add BuildRequires

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0
- remove fix-to-build-with-scim-1.4.5.patch

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-2m)
- delete libtool library

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Wed Nov 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0

* Mon Oct 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-4m)
- import fix-to-build-with-scim-1.4.5.patch from opensuse (install to correct path)
 +* Thu Oct 12 2006 - mfabian@suse.de
 +- fix to build with scim 1.4.5.
- BuildRequires: automake

* Sun Oct 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-3m)
- modify %%files for scim-1.4.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-2m)
- rebuild against scim-1.4.4-0.20060301.5m libtomoe-gtk+-0.1.0-3m

* Sun Oct 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-1m)
- update 0.2.0
- add Requires: libtomoe-gtk
- add BuildRequires: libtomoe-gtk-devel

* Mon Aug 29 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.0-1m)
- initial commit

